Last Comment Bug 377824 - [FIX]mtable causes "ASSERTION: Should have dealt with kids that have NS_FRAME_IS_SPECIAL elsewhere"
: [FIX]mtable causes "ASSERTION: Should have dealt with kids that have NS_FRAME...
Status: RESOLVED FIXED
: assertion, fixed1.8.0.12, fixed1.8.1.4, regression, testcase
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9alpha4
Assigned To: Boris Zbarsky [:bz] (TPAC)
: Hixie (not reading bugmail)
Mentors:
Depends on:
Blocks: 347580 323656
  Show dependency treegraph
 
Reported: 2007-04-17 16:55 PDT by Jesse Ruderman
Modified: 2007-12-17 17:31 PST (History)
5 users (show)
dveditz: blocking1.8.1.4+
dveditz: blocking1.8.0.12+
jruderman: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (131 bytes, application/xhtml+xml)
2007-04-17 16:55 PDT, Jesse Ruderman
no flags Details
Let's do that. (3.17 KB, patch)
2007-04-17 21:21 PDT, Boris Zbarsky [:bz] (TPAC)
dbaron: review+
dbaron: superreview+
dveditz: approval1.8.1.4+
dveditz: approval1.8.0.12+
Details | Diff | Splinter Review

Description Jesse Ruderman 2007-04-17 16:55:53 PDT
Created attachment 261890 [details]
testcase

Loading the testcase triggers:

###!!! ASSERTION: Should have dealt with kids that have NS_FRAME_IS_SPECIAL elsewhere: 'aChildPseudo != nsCSSAnonBoxes::mozAnonymousBlock && aChildPseudo != nsCSSAnonBoxes::mozAnonymousPositionedBlock', nsFrame.cpp, line 5494

This assertion was added in bug 323656.
Comment 1 Boris Zbarsky [:bz] (TPAC) 2007-04-17 17:05:22 PDT
Mm.... so MathML is reusing the mozAnonymousBlock pseudo that really only {ib} splits should be using.  I suppose we can comment out the assertion until after MathML switches to inline-table, or give MathML its own pseudo.

I'd prefer the latter approach, frankly, but on branches maybe we need to do the former.
Comment 2 Boris Zbarsky [:bz] (TPAC) 2007-04-17 17:05:53 PDT
David, let me know whether you have a preference, ok?
Comment 3 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2007-04-17 17:19:57 PDT
Seems like its own pseudo is better.

I don't think content can style these pseudos, so I don't think there should be any issues for branch.
Comment 4 Boris Zbarsky [:bz] (TPAC) 2007-04-17 21:21:01 PDT
Created attachment 261912 [details] [diff] [review]
Let's do that.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2007-04-20 13:53:34 PDT
Comment on attachment 261912 [details] [diff] [review]
Let's do that.

r+sr=dbaron
Comment 6 Boris Zbarsky [:bz] (TPAC) 2007-04-20 14:27:03 PDT
Fixed on trunk.
Comment 7 Daniel Veditz [:dveditz] 2007-04-23 10:17:11 PDT
Comment on attachment 261912 [details] [diff] [review]
Let's do that.

approved for 1.8.0.12 and 1.8.1.4, a=dveditz for release-drivers
Comment 8 Boris Zbarsky [:bz] (TPAC) 2007-04-23 19:35:44 PDT
Checked in on the branches.
Comment 9 Jesse Ruderman 2007-12-17 17:31:11 PST
Crashtest checked in.

Note You need to log in before you can comment on or make changes to this bug.